<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{requestRequirement.idRequest}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!requestRequirement.idRequest">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="requestRequirement.idRequest" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.requestRequirement.qty" for="field_qty">Qty</label>
                        <input currencyMask class="form-control" name="qty" id="field_qty"
                            [(ngModel)]="requestRequirement.qty"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                             />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.requestRequirement.requirement" for="field_requirement">Requirement</label>
                        <select class="form-control" id="field_requirement" name="requirement" [(ngModel)]="requestRequirement.requirementId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="requirementOption.idRequirement" *ngFor="let requirementOption of requirements; trackBy: trackRequirementById">{{requirementOption.id}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>